<?php 

define('_CONSTANT_', 1); 

require_once '../../core/start.php';

checkAuth();

head('Поход', 'Поход');

$camping = DB::$dbs->queryFetch("SELECT * FROM ". CAMPING ." WHERE `user_id` = ?", [$user['id']]); 

# If users first time in the camping;
if (empty($camping)) 
{
    DB::$dbs->query("INSERT INTO ". CAMPING ."(`user_id`, `money`, `exp`, `ruby`) VALUES (?, ?, ?, ?)", [$user['id'], 1, 0, 0]);
    header("Location: ?");
}

if ($camping['start'] == 1 && $camping['time'] < time()) 
{
    DB::$dbs->query("UPDATE ". CAMPING ." SET `start` = ? WHERE `user_id` = ?", [0, $user['id']]);
    DB::$dbs->query("UPDATE ". USERS ." SET `money` = ?, `exp` = ?, `ruby` = ? WHERE `id` = ?", [($user['money'] + $camping['money']), ($user['exp'] + $camping['exp']), ($user['ruby'] + $camping['ruby']), $user['id']]);
    $journal = 'Вы вернулись с похода, в котором нашли '. ico('gold.png') . $camping['money'] .' золота, '. ico('exp.png') . $camping['exp'] .' опыта, '. ico('ruby.png') . $camping['ruby'];
    $User->addUserJournal($journal, $user['id']);
    success($journal, '/modules/camping/index.php');
}

switch ($do) 
{
    default: 
    $campingTime       = 3600 * ($user['lvl']);
    $campingMoney      = rand(1, $user['lvl']) * 2;
    $campingExp        = rand(1, $user['lvl']) * 2;
    $campingRubyChanse = rand(1, 100);
    
    # Drop ruby; 
    if ($campingRubyChanse > 50) 
    {
        $campingRuby = ceil(rand(1, ($user['lvl'] / 2)));
        
        if ($user['vip'] > time()) 
        {
            $campingRuby = $campingRuby * 2;
        }
    } 
    else 
    {
        $campingRuby = 0;
    }

    if ($user['vip'] > time()) 
    {
        $campingMoney = $campingMoney * 2;
        $campingExp = $campingExp * 2;
    }

    if (empty(isset($_GET['startCamping']))) 
    {
        ?> 
        <div class="headerImg">
            <img src="<?=HOME?>/img/camping.png" alt="[header-img]" width="350px">
        </div>
        <div class="wrap">
            В походе вы можете найти золото, опыт и вещи.<br/>
            Количество и качество ресурсов зависит от уровня персонажа.<br/>
            Вы можете пойти в поход на <?=ico('clock.png') . countTime($campingTime)?>.<br/>
            Количество и качество награды зависит от уровня персонажа. Чем выше уровень, тем больше награда.<br/>
            Также с небольшой вероятностью вы можете попасть в шахту, в которой можете найти драгоценные камни.<br/>
            <?=ico('info.png')?> Если у вас активирован Премиум Ранг - награда удваивается. 
        </div>
        <?php
        if (!empty($camping['start'])) 
        {
            $timeEnd = countTime($camping['time'] - time());
            ?>
            <div class="wrap">
                Вы вернетесь с похода через: <?=ico('clock.png') . $timeEnd?>
            </div>
            <a href="<?=HOME?>/modules/camping/index.php" class="link-touch"> Обновить</a>
            <?php
        } 
        else 
        {
            ?>
            <a href="<?=HOME?>/modules/camping/index.php?startCamping" class="link-touch"> Пойти в поход</a>
            <?php
        }
    } 
    else 
    {
        if (!empty($camping['start'])) 
        {
            errorNoEXit('Вы не можете пойти в поход');
        } 
        else 
        {
            DB::$dbs->query("UPDATE ". CAMPING ." SET `start` = ?, `time` = ?, `money` = ?, `exp` = ?, `ruby` = ? WHERE `user_id` = ?", [1, time() + $campingTime, $campingMoney, $campingExp, $campingRuby, $user['id']]);
            success('Вы отправились в поход', '/modules/camping/index.php', 'К походу');
        }
    }
    break;
}

require_once '../../core/foot.php';